package com.cnbm.qualityPlanning.entity;

import io.swagger.models.auth.In;
import lombok.Data;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/12 15:12
 */
@Data
public class Point {
    private Integer position;
    private Double value;

    //不满足的 规则   例子 : [1,2]  => 代表 不满足 规则1 和 规则2
    private Set<Integer> unsatisfiedRules;

    public Point(Integer position , Double value){
        this.position = position;
        this.value = value;
        this.unsatisfiedRules = new HashSet();
    }

}
